Package org.silverpeas.components.resourcesmanager.repository

## Interface ReservationRepository

- All Superinterfaces:
    `org.silverpeas.core.persistence.datasource.repository.EntityRepository<Reservation>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Reservation>`
  All Known Implementing Classes:
    `ReservationJpaManager`

      public interface ReservationRepository
      extends org.silverpeas.core.persistence.datasource.repository.EntityRepository<Reservation>, org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<Reservation>

  Author:
    ehugonnet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Reservation>` | `findAllReservations​(String instanceId)` |
    `List<Reservation>` | `findAllReservationsForCategoryInRange​(String instanceId, Long categoryId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsForResourceInRange​(String instanceId, Long resourceId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsForUser​(String instanceId, Integer userId)` |
    `List<Reservation>` | `findAllReservationsForUserAndCategoryInRange​(String instanceId, Integer userId, Long categoryId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsForUserAndResourceInRange​(String instanceId, Integer userId, Long resourceId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsForUserInRange​(String instanceId, Integer userId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsForValidation​(String instanceId, Long managerId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsInRange​(String instanceId, String startPeriod, String endPeriod)` |
    `List<Reservation>` | `findAllReservationsNotRefusedForResourceInRange​(Long resourceId, String startPeriod, String endPeriod)` |

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

      `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

    - ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

      `saveAndFlush`

- - ### Method Detail

    - #### findAllReservationsInRange

          List<Reservation> findAllReservationsInRange​(String instanceId,
                                                       String startPeriod,
                                                       String endPeriod)

    - #### findAllReservationsForUserInRange

          List<Reservation> findAllReservationsForUserInRange​(String instanceId,
                                                              Integer userId,
                                                              String startPeriod,
                                                              String endPeriod)

    - #### findAllReservationsForUser

          List<Reservation> findAllReservationsForUser​(String instanceId,
                                                       Integer userId)

    - #### findAllReservationsForValidation

          List<Reservation> findAllReservationsForValidation​(String instanceId,
                                                             Long managerId,
                                                             String startPeriod,
                                                             String endPeriod)

    - #### findAllReservationsNotRefusedForResourceInRange

          List<Reservation> findAllReservationsNotRefusedForResourceInRange​(Long resourceId,
                                                                            String startPeriod,
                                                                            String endPeriod)

    - #### findAllReservationsForCategoryInRange

          List<Reservation> findAllReservationsForCategoryInRange​(String instanceId,
                                                                  Long categoryId,
                                                                  String startPeriod,
                                                                  String endPeriod)

    - #### findAllReservationsForUserAndCategoryInRange

          List<Reservation> findAllReservationsForUserAndCategoryInRange​(String instanceId,
                                                                         Integer userId,
                                                                         Long categoryId,
                                                                         String startPeriod,
                                                                         String endPeriod)

    - #### findAllReservationsForResourceInRange

          List<Reservation> findAllReservationsForResourceInRange​(String instanceId,
                                                                  Long resourceId,
                                                                  String startPeriod,
                                                                  String endPeriod)

    - #### findAllReservationsForUserAndResourceInRange

          List<Reservation> findAllReservationsForUserAndResourceInRange​(String instanceId,
                                                                         Integer userId,
                                                                         Long resourceId,
                                                                         String startPeriod,
                                                                         String endPeriod)

    - #### findAllReservations

          List<Reservation> findAllReservations​(String instanceId)